package electrosphere.game.data.block;

/**
 * Data about a particular type of block
 */
public class BlockType {
    //the id of this block type
    int id;
    //the name of the type
    String name;
    //the texture for the block type
    String texture;

    /**
     * Gets the id of the block type
     * @return The id
     */
    public int getId(){
        return id;
    }

    /**
     * Gets the name of the block type
     * @return The name
     */
    public String getName(){
        return name;
    }

    /**
     * Gets the texture of this block types
     * @return the texture
     */
    public String getTexture(){
        return texture;
    }
}
